summaryrefslogtreecommitdiff
path: root/cmdline
diff options
context:
space:
mode:
authorMichael Vogt <michael.vogt@ubuntu.com>2010-02-17 22:40:05 +0100
committerMichael Vogt <michael.vogt@ubuntu.com>2010-02-17 22:40:05 +0100
commit9fcbe2047293f8ef703439264ed3d35701f51638 (patch)
tree5669db5c2fd2caf7274ff751f9e6a22311f09273 /cmdline
parent424d785b672f80a0f1a5b6ab4a858c48f4c49bfd (diff)
parent762d7367f5f74f877ec75986e19fc9d46eef5164 (diff)
merged from the mvo branch
Diffstat (limited to 'cmdline')
-rw-r--r--cmdline/acqprogress.cc2
-rw-r--r--cmdline/apt-cache.cc2
-rw-r--r--cmdline/apt-get.cc3
-rwxr-xr-xcmdline/apt-key47
-rwxr-xr-xcmdline/apt-mark9
5 files changed, 53 insertions, 10 deletions
diff --git a/cmdline/acqprogress.cc b/cmdline/acqprogress.cc
index b3ded4142..32e8243bf 100644
--- a/cmdline/acqprogress.cc
+++ b/cmdline/acqprogress.cc
@@ -150,7 +150,7 @@ bool AcqTextStatus::Pulse(pkgAcquire *Owner)
if (Quiet > 0)
return true;
- enum {Long = 0,Medium,Short} Mode = Long;
+ enum {Long = 0,Medium,Short} Mode = Medium;
char Buffer[sizeof(BlankLine)];
char *End = Buffer + sizeof(Buffer);
diff --git a/cmdline/apt-cache.cc b/cmdline/apt-cache.cc
index f3bbb9cf3..4e68246fb 100644
--- a/cmdline/apt-cache.cc
+++ b/cmdline/apt-cache.cc
@@ -1622,7 +1622,7 @@ bool Policy(CommandLine &CmdL)
if (SrcList->FindIndex(VF.File(),Indx) == false &&
_system->FindIndex(VF.File(),Indx) == false)
return _error->Error(_("Cache is out of sync, can't x-ref a package file"));
- printf(_(" %4i %s\n"),Plcy.GetPriority(VF.File()),
+ printf(" %4i %s\n",Plcy.GetPriority(VF.File()),
Indx->Describe(true).c_str());
}
}
diff --git a/cmdline/apt-get.cc b/cmdline/apt-get.cc
index fc15bbaa2..a39b5c55a 100644
--- a/cmdline/apt-get.cc
+++ b/cmdline/apt-get.cc
@@ -1776,7 +1776,8 @@ bool DoInstall(CommandLine &CmdL)
if(!Remove &&
Cache[Pkg].Install() == false &&
(Cache[Pkg].Flags & pkgCache::Flag::Auto) &&
- _config->FindB("APT::Get::ReInstall",false) == false)
+ _config->FindB("APT::Get::ReInstall",false) == false &&
+ _config->FindB("APT::Get::Download-Only",false) == false)
{
ioprintf(c1out,_("%s set to manually installed.\n"),
Pkg.Name());
diff --git a/cmdline/apt-key b/cmdline/apt-key
index b579e5a53..73dfe6925 100755
--- a/cmdline/apt-key
+++ b/cmdline/apt-key
@@ -5,10 +5,8 @@ unset GREP_OPTIONS
# We don't use a secret keyring, of course, but gpg panics and
# implodes if there isn't one available
-
GPG_CMD="gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /etc/apt/secring.gpg --trustdb-name /etc/apt/trustdb.gpg"
-GPG="$GPG_CMD --keyring /etc/apt/trusted.gpg"
-
+GPG="$GPG_CMD"
MASTER_KEYRING=/usr/share/keyrings/ubuntu-master-keyring.gpg
ARCHIVE_KEYRING=/usr/share/keyrings/ubuntu-archive-keyring.gpg
@@ -53,7 +51,14 @@ add_keys_with_verify_against_master_keyring() {
# (otherwise it does not make sense from a security POV)
net_update() {
if [ -z "$ARCHIVE_KEYRING_URI" ]; then
- echo "ERROR: no location for the archive-keyring given"
+ echo "ERROR: no location for the archive-keyring given"
+ exit 1
+ fi
+ # in theory we would need to depend on wget for this, but this feature
+ # isn't useable in debian anyway as we have no keyring uri nor a master key
+ if ! which wget >/dev/null 2>&1; then
+ echo "ERROR: an installed wget is required for a network-based update"
+ exit 1
fi
if [ ! -d /var/lib/apt/keyrings ]; then
mkdir -p /var/lib/apt/keyrings
@@ -105,7 +110,7 @@ update() {
usage() {
- echo "Usage: apt-key [command] [arguments]"
+ echo "Usage: apt-key [--keyring file] [command] [arguments]"
echo
echo "Manage apt's list of trusted keys"
echo
@@ -119,8 +124,40 @@ usage() {
echo " apt-key finger - list fingerprints"
echo " apt-key adv - pass advanced options to gpg (download key)"
echo
+ echo "If no specific keyring file is given the command applies to all keyring files."
}
+# Determine on which keyring we want to work
+if [ "$1" = "--keyring" ]; then
+ #echo "keyfile given"
+ shift
+ TRUSTEDFILE="$1"
+ if [ -r "$TRUSTEDFILE" ]; then
+ GPG="$GPG --keyring $TRUSTEDFILE --primary-keyring $TRUSTEDFILE"
+ else
+ echo >&2 "Error: The specified keyring »$TRUSTEDFILE« is missing or not readable"
+ exit 1
+ fi
+ shift
+# otherwise use the default
+else
+ #echo "generate list"
+ TRUSTEDFILE="/etc/apt/trusted.gpg"
+ if [ -r "$TRUSTEDFILE" ]; then
+ GPG="$GPG --keyring $TRUSTEDFILE"
+ fi
+ GPG="$GPG --primary-keyring $TRUSTEDFILE"
+ TRUSTEDPARTS="/etc/apt/trusted.gpg.d"
+ if [ -d "$TRUSTEDPARTS" ]; then
+ #echo "parts active"
+ for trusted in $(run-parts --list $TRUSTEDPARTS --regex '^.*\.gpg$'); do
+ #echo "part -> $trusted"
+ GPG="$GPG --keyring $trusted"
+ done
+ fi
+fi
+#echo "COMMAND: $GPG"
+
command="$1"
if [ -z "$command" ]; then
usage
diff --git a/cmdline/apt-mark b/cmdline/apt-mark
index 3a818a3db..2326ece38 100755
--- a/cmdline/apt-mark
+++ b/cmdline/apt-mark
@@ -46,11 +46,16 @@ def mark_unmark_automatic(filename, action, pkgs):
print "changing %s to %s" % (pkgname,action)
newsec = apt_pkg.RewriteSection(tagfile.Section,
[],
- [ ("Auto-Installed",str(action)) ]
- )
+ [ ("Auto-Installed",str(action)) ])
+ pkgs.remove(pkgname)
outfile.write(newsec+"\n")
else:
outfile.write(str(tagfile.Section)+"\n")
+ if action == 1:
+ for pkgname in pkgs:
+ if options.verbose:
+ print "changing %s to %s" % (pkgname,action)
+ outfile.write("Package: %s\nAuto-Installed: %d\n\n" % (pkgname, action))
# all done, rename the tmpfile
os.chmod(outfile.name, 0644)
os.rename(outfile.name, STATE_FILE)